Index: src/other/incrTcl/itcl/CMake/tcl.cmake
===================================================================
--- src/other/incrTcl/itcl/CMake/tcl.cmake	(revision 54114)
+++ src/other/incrTcl/itcl/CMake/tcl.cmake	(working copy)
@@ -1,99 +1,99 @@
 # CMake version of the tcl.m4 logic, insofar as it maps to CMake and has been
 # needed.
 
-INCLUDE(CheckCCompilerFlag)
-INCLUDE(CheckFunctionExists)
-INCLUDE(CheckIncludeFile)
-INCLUDE(CheckIncludeFiles)
-INCLUDE(CheckIncludeFileCXX)
-INCLUDE(CheckTypeSize)
-INCLUDE(CheckLibraryExists)
-INCLUDE(CheckStructHasMember)
-INCLUDE(CheckCSourceCompiles)
-INCLUDE(ResolveCompilerPaths)
-INCLUDE(CheckPrototypeExists)
-INCLUDE(CheckCSourceRuns)
-INCLUDE(CheckCSourceRuns)
+include(CheckCCompilerFlag)
+include(CheckFunctionExists)
+include(CheckIncludeFile)
+include(CheckIncludeFiles)
+include(CheckIncludeFileCXX)
+include(CheckTypeSize)
+include(CheckLibraryExists)
+include(CheckStructHasMember)
+include(CheckCSourceCompiles)
+include(ResolveCompilerPaths)
+include(CheckPrototypeExists)
+include(CheckCSourceRuns)
+include(CheckCSourceRuns)
 
-INCLUDE(ac_std_funcs)
+include(ac_std_funcs)
 
-MACRO(ADD_TCL_CFLAG TCL_CFLAG)
+macro(ADD_TCL_CFLAG TCL_CFLAG)
 	add_definitions(-D${TCL_CFLAG}=1)
-ENDMACRO(ADD_TCL_CFLAG)
+endmacro(ADD_TCL_CFLAG)
 
-MACRO(CHECK_C_FLAG flag)
-   STRING(TOUPPER ${flag} UPPER_FLAG)
-   STRING(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
-   STRING(REGEX REPLACE "=" "_" UPPER_FLAG ${UPPER_FLAG})
-   IF(${ARGC} LESS 2)
-      CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-   ELSE(${ARGC} LESS 2)
-      IF(NOT ${ARGV1})
-         CHECK_C_COMPILER_FLAG(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
-         IF(${UPPER_FLAG}_COMPILER_FLAG)
-            MESSAGE("- Found ${ARGV1} - setting to -${flag}")
-            SET(${ARGV1} "-${flag}" CACHE STRING "${ARGV1}" FORCE)
-         ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-      ENDIF(NOT ${ARGV1})
-   ENDIF(${ARGC} LESS 2)
-   IF(${UPPER_FLAG}_COMPILER_FLAG)
-      SET(${UPPER_FLAG}_COMPILER_FLAG "-${flag}")
-   ENDIF(${UPPER_FLAG}_COMPILER_FLAG)
-ENDMACRO()
+macro(CHECK_C_FLAG flag)
+   string(TOUPPER ${flag} UPPER_FLAG)
+   string(REGEX REPLACE " " "_" UPPER_FLAG ${UPPER_FLAG})
+   string(REGEX REPLACE "=" "_" UPPER_FLAG ${UPPER_FLAG})
+   if(${ARGC} LESS 2)
+      check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+   else(${ARGC} LESS 2)
+      if(NOT ${ARGV1})
+         check_c_compiler_flag(-${flag} ${UPPER_FLAG}_COMPILER_FLAG)
+         if(${UPPER_FLAG}_COMPILER_FLAG)
+            message("- Found ${ARGV1} - setting to -${flag}")
+            set(${ARGV1} "-${flag}" CACHE STRING "${ARGV1}" FORCE)
+         endif(${UPPER_FLAG}_COMPILER_FLAG)
+      endif(NOT ${ARGV1})
+   endif(${ARGC} LESS 2)
+   if(${UPPER_FLAG}_COMPILER_FLAG)
+      set(${UPPER_FLAG}_COMPILER_FLAG "-${flag}")
+   endif(${UPPER_FLAG}_COMPILER_FLAG)
+endmacro()
 
 # Wrappers for include file checks
-MACRO(TCL_CHECK_INCLUDE_FILE filename var)
-	CHECK_INCLUDE_FILE(${filename} ${var})
-	IF(${var})
+macro(TCL_CHECK_INCLUDE_FILE filename var)
+	check_include_file(${filename} ${var})
+	if(${var})
 		add_definitions(-D${var}=1)
-	ENDIF(${var})
-ENDMACRO(TCL_CHECK_INCLUDE_FILE)
+	endif(${var})
+endmacro(TCL_CHECK_INCLUDE_FILE)
 
-MACRO(TCL_CHECK_INCLUDE_FILE_USABILITY filename var)
-	CHECK_INCLUDE_FILE(${filename} HAVE_${var})
-	IF(HAVE_${var})
-		SET(HEADER_SRC "
+macro(TCL_CHECK_INCLUDE_FILE_USABILITY filename var)
+	check_include_file(${filename} HAVE_${var})
+	if(HAVE_${var})
+		set(HEADER_SRC "
 #include <${filename}>
 main(){};
 		")
-		CHECK_C_SOURCE_COMPILES("${HEADER_SRC}" ${var}_USABLE)
-	ENDIF(HAVE_${var})
-	IF(NOT HAVE_${var} OR NOT ${var}_USABLE)
+		check_c_source_compiles("${HEADER_SRC}" ${var}_USABLE)
+	endif(HAVE_${var})
+	if(NOT HAVE_${var} OR NOT ${var}_USABLE)
 		add_definitions(-DNO_${var}=1)
-	ELSE(NOT HAVE_${var} OR NOT ${var}_USABLE)
+	else(NOT HAVE_${var} OR NOT ${var}_USABLE)
 		add_definitions(-DHAVE_${var}=1)
-	ENDIF(NOT HAVE_${var} OR NOT ${var}_USABLE)
-ENDMACRO(TCL_CHECK_INCLUDE_FILE_USABILITY filename var)
+	endif(NOT HAVE_${var} OR NOT ${var}_USABLE)
+endmacro(TCL_CHECK_INCLUDE_FILE_USABILITY filename var)
 
 # Wrapper for function testing
-MACRO(TCL_CHECK_FUNCTION_EXISTS function var)
-	CHECK_FUNCTION_EXISTS(${function} ${var})
-	IF(${var})
+macro(TCL_CHECK_FUNCTION_EXISTS function var)
+	check_function_exists(${function} ${var})
+	if(${var})
 		add_definitions(-D${var}=1)
-	ENDIF(${var})
-ENDMACRO(TCL_CHECK_FUNCTION_EXISTS)
+	endif(${var})
+endmacro(TCL_CHECK_FUNCTION_EXISTS)
 
 # Check sizes (accepts extra headers)
-MACRO(TCL_CHECK_TYPE_SIZE typename var)
-   FOREACH(arg ${ARGN})
-      SET(headers ${headers} ${arg})
-   ENDFOREACH(arg ${ARGN})
-   SET(CHECK_EXTRA_INCLUDE_FILES ${headers})
-   CHECK_TYPE_SIZE(${typename} HAVE_${var}_T)
-   SET(CHECK_EXTRA_INCLUDE_FILES)
-   IF(HAVE_${var}_T)
+macro(TCL_CHECK_TYPE_SIZE typename var)
+   foreach(arg ${ARGN})
+      set(headers ${headers} ${arg})
+   endforeach(arg ${ARGN})
+   set(CHECK_EXTRA_INCLUDE_FILES ${headers})
+   check_type_size(${typename} HAVE_${var}_T)
+   set(CHECK_EXTRA_INCLUDE_FILES)
+   if(HAVE_${var}_T)
       add_definitions(-DHAVE_${var}_T=1)
       add_definitions(-DSIZEOF${var}=${HAVE_${var}_T})
-   ENDIF(HAVE_${var}_T)
-ENDMACRO(TCL_CHECK_TYPE_SIZE)
+   endif(HAVE_${var}_T)
+endmacro(TCL_CHECK_TYPE_SIZE)
 
 # Check for a member of a structure
-MACRO(TCL_CHECK_STRUCT_HAS_MEMBER structname member header var)
-   CHECK_STRUCT_HAS_MEMBER(${structname} ${member} ${header} HAVE_${var})
-   IF(HAVE_${var})
+macro(TCL_CHECK_STRUCT_HAS_MEMBER structname member header var)
+   check_struct_has_member(${structname} ${member} ${header} HAVE_${var})
+   if(HAVE_${var})
       add_definitions(-DHAVE_${var}=1)
-   ENDIF(HAVE_${var})
-ENDMACRO(TCL_CHECK_STRUCT_HAS_MEMBER)
+   endif(HAVE_${var})
+endmacro(TCL_CHECK_STRUCT_HAS_MEMBER)
 
 
 
@@ -153,42 +153,42 @@
 #------------------------------------------------------------------------
 # SC_ENABLE_THREADS
 #------------------------------------------------------------------------
-MACRO(SC_ENABLE_THREADS)
-   FIND_PACKAGE(Threads)
-   IF(NOT ${CMAKE_THREAD_LIBS_INIT} STREQUAL "")
-		SET(TCL_FOUND_THREADS ON)
-   ELSE(NOT ${CMAKE_THREAD_LIBS_INIT} STREQUAL "")
-		SET(TCL_FOUND_THREADS OFF)
-   ENDIF(NOT ${CMAKE_THREAD_LIBS_INIT} STREQUAL "")
-	OPTION(TCL_THREADS "Enable Tcl Thread support" ${TCL_FOUND_THREADS})
-   IF(TCL_THREADS)
-		ADD_TCL_CFLAG(TCL_THREADS)
-		ADD_TCL_CFLAG(USE_THREAD_ALLOC)
-		ADD_TCL_CFLAG(_REENTRANT)
-		ADD_TCL_CFLAG(_THREAD_SAFE)
-	   SET(TCL_THREADS_LIB ${CMAKE_THREAD_LIBS_INIT})
-		IF(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
-			ADD_TCL_CFLAG(_POSIX_PTHREAD_SEMANTICS)
-		ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
-		CHECK_FUNCTION_EXISTS(pthread_attr_setstacksize HAVE_PTHREAD_ATTR_SETSTACKSIZE)
-		IF(HAVE_PTHREAD_ATTR_SETSTACKSIZE)
-			ADD_TCL_CFLAG(HAVE_PTHREAD_ATTR_SETSTACKSIZE)
-		ENDIF(HAVE_PTHREAD_ATTR_SETSTACKSIZE)
-		CHECK_FUNCTION_EXISTS(pthread_attr_get_np HAVE_PTHREAD_ATTR_GET_NP)
-		CHECK_FUNCTION_EXISTS(pthread_getattr_np HAVE_PTHREAD_GETATTR_NP)
-		IF(HAVE_PTHREAD_ATTR_GET_NP)
-			ADD_TCL_CFLAG(HAVE_PTHREAD_ATTR_GET_NP)
-		ELSEIF(HAVE_PTHREAD_GETATTR_NP)
-			ADD_TCL_CFLAG(HAVE_PTHREAD_GETATTR_NP)
-		ENDIF(HAVE_PTHREAD_ATTR_GET_NP)
-		IF(NOT HAVE_PTHREAD_ATTR_GET_NP AND NOT HAVE_PTHREAD_GETATTR_NP)
-			CHECK_FUNCTION_EXISTS(pthread_get_stacksize_np HAVE_PTHREAD_GET_STACKSIZE_NP)
-			IF(HAVE_PTHREAD_GET_STACKSIZE_NP)
-				ADD_TCL_CFLAG(HAVE_PTHREAD_GET_STACKSIZE_NP)
-			ENDIF(HAVE_PTHREAD_GET_STACKSIZE_NP)
-		ENDIF(NOT HAVE_PTHREAD_ATTR_GET_NP AND NOT HAVE_PTHREAD_GETATTR_NP)
-	ENDIF(TCL_THREADS)
-ENDMACRO(SC_ENABLE_THREADS)
+macro(SC_ENABLE_THREADS)
+   find_package(Threads)
+   if(NOT ${CMAKE_THREAD_LIBS_INIT} STREQUAL "")
+		set(TCL_FOUND_THREADS ON)
+   else(NOT ${CMAKE_THREAD_LIBS_INIT} STREQUAL "")
+		set(TCL_FOUND_THREADS OFF)
+   endif(NOT ${CMAKE_THREAD_LIBS_INIT} STREQUAL "")
+	option(TCL_THREADS "Enable Tcl Thread support" ${TCL_FOUND_THREADS})
+   if(TCL_THREADS)
+		add_tcl_cflag(TCL_THREADS)
+		add_tcl_cflag(USE_THREAD_ALLOC)
+		add_tcl_cflag(_REENTRANT)
+		add_tcl_cflag(_THREAD_SAFE)
+	   set(TCL_THREADS_LIB ${CMAKE_THREAD_LIBS_INIT})
+		if(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
+			add_tcl_cflag(_POSIX_PTHREAD_SEMANTICS)
+		endif(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
+		check_function_exists(pthread_attr_setstacksize HAVE_PTHREAD_ATTR_SETSTACKSIZE)
+		if(HAVE_PTHREAD_ATTR_SETSTACKSIZE)
+			add_tcl_cflag(HAVE_PTHREAD_ATTR_SETSTACKSIZE)
+		endif(HAVE_PTHREAD_ATTR_SETSTACKSIZE)
+		check_function_exists(pthread_attr_get_np HAVE_PTHREAD_ATTR_GET_NP)
+		check_function_exists(pthread_getattr_np HAVE_PTHREAD_GETATTR_NP)
+		if(HAVE_PTHREAD_ATTR_GET_NP)
+			add_tcl_cflag(HAVE_PTHREAD_ATTR_GET_NP)
+		elseif(HAVE_PTHREAD_GETATTR_NP)
+			add_tcl_cflag(HAVE_PTHREAD_GETATTR_NP)
+		endif(HAVE_PTHREAD_ATTR_GET_NP)
+		if(NOT HAVE_PTHREAD_ATTR_GET_NP AND NOT HAVE_PTHREAD_GETATTR_NP)
+			check_function_exists(pthread_get_stacksize_np HAVE_PTHREAD_GET_STACKSIZE_NP)
+			if(HAVE_PTHREAD_GET_STACKSIZE_NP)
+				add_tcl_cflag(HAVE_PTHREAD_GET_STACKSIZE_NP)
+			endif(HAVE_PTHREAD_GET_STACKSIZE_NP)
+		endif(NOT HAVE_PTHREAD_ATTR_GET_NP AND NOT HAVE_PTHREAD_GETATTR_NP)
+	endif(TCL_THREADS)
+endmacro(SC_ENABLE_THREADS)
 
 #------------------------------------------------------------------------
 # SC_ENABLE_SYMBOLS
@@ -199,28 +199,28 @@
 #------------------------------------------------------------------------
 # SC_ENABLE_LANGINFO
 #------------------------------------------------------------------------
-MACRO(SC_ENABLE_LANGINFO)
+macro(SC_ENABLE_LANGINFO)
 	set(TCL_ENABLE_LANGINFO ON CACHE STRING "Trigger use of nl_langinfo if available.")
-	IF(TCL_ENABLE_LANGINFO)
-		CHECK_INCLUDE_FILE(langinfo.h HAVE_LANGINFO)
-		IF(HAVE_LANGINFO)
-			SET(LANGINFO_SRC "
+	if(TCL_ENABLE_LANGINFO)
+		check_include_file(langinfo.h HAVE_LANGINFO)
+		if(HAVE_LANGINFO)
+			set(LANGINFO_SRC "
 			#include <langinfo.h>
 			int main() {
 			nl_langinfo(CODESET);
 			}
 			")
-			CHECK_C_SOURCE_COMPILES("${LANGINFO_SRC}" LANGINFO_COMPILES)
-			IF(LANGINFO_COMPILES)
-				ADD_TCL_CFLAG(HAVE_LANGINFO)
-			ELSE(LANGINFO_COMPILES)
-				SET(TCL_ENABLE_LANGINFO OFF CACHE STRING "Langinfo not available" FORCE)
-			ENDIF(LANGINFO_COMPILES)
-		ELSE(HAVE_LANGINFO)
-			SET(TCL_ENABLE_LANGINFO OFF CACHE STRING "Langinfo not available" FORCE)
-		ENDIF(HAVE_LANGINFO)
-	ENDIF(TCL_ENABLE_LANGINFO)
-ENDMACRO(SC_ENABLE_LANGINFO)
+			check_c_source_compiles("${LANGINFO_SRC}" LANGINFO_COMPILES)
+			if(LANGINFO_COMPILES)
+				add_tcl_cflag(HAVE_LANGINFO)
+			else(LANGINFO_COMPILES)
+				set(TCL_ENABLE_LANGINFO OFF CACHE STRING "Langinfo not available" FORCE)
+			endif(LANGINFO_COMPILES)
+		else(HAVE_LANGINFO)
+			set(TCL_ENABLE_LANGINFO OFF CACHE STRING "Langinfo not available" FORCE)
+		endif(HAVE_LANGINFO)
+	endif(TCL_ENABLE_LANGINFO)
+endmacro(SC_ENABLE_LANGINFO)
 
 #--------------------------------------------------------------------
 # SC_CONFIG_MANPAGES
@@ -245,8 +245,8 @@
 #--------------------------------------------------------------------
 # SC_SERIAL_PORT
 #--------------------------------------------------------------------
-MACRO(SC_SERIAL_PORT)
-	SET(TERMIOS_SRC_1 "
+macro(SC_SERIAL_PORT)
+	set(TERMIOS_SRC_1 "
 #include <termios.h>
 int main() {
 struct termios t;
@@ -258,7 +258,7 @@
 	return 1;
 }
 	")
-	SET(TERMIOS_SRC_2 "
+	set(TERMIOS_SRC_2 "
 #include <termios.h>
 #include <errno.h>
 
@@ -273,7 +273,7 @@
 	return 1;
 }
 	")
-	SET(TERMIO_SRC_1 "
+	set(TERMIO_SRC_1 "
 #include <termio.h>
 int main() {
 struct termio t;
@@ -284,7 +284,7 @@
 	return 1;
 }
    ")
-	SET(TERMIO_SRC_2 "
+	set(TERMIO_SRC_2 "
 #include <termio.h>
 #include <errno.h>
 
@@ -298,7 +298,7 @@
 	return 1;
 }
 	")
-	SET(SGTTY_SRC_1 "
+	set(SGTTY_SRC_1 "
 #include <sgtty.h>
 int main() {
 struct sgttyb t;
@@ -310,7 +310,7 @@
 	return 1;
 }
    ")
-	SET(SGTTY_SRC_2 "
+	set(SGTTY_SRC_2 "
 #include <sgtty.h>
 #include <errno.h>
 
@@ -325,57 +325,57 @@
 	return 1;
 }
 	")
-	CHECK_C_SOURCE_RUNS("${TERMIOS_SRC_1}" HAVE_TERMIOS)
-	IF(NOT HAVE_TERMIOS)
-		CHECK_C_SOURCE_RUNS("${TERMIO_SRC_1}" HAVE_TERMIO)
-	ENDIF(NOT HAVE_TERMIOS)
-	IF(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
-		CHECK_C_SOURCE_RUNS("${SGTTY_SRC_1}" HAVE_SGTTY)
-	ENDIF(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
-	IF(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS AND NOT HAVE_SGTTY)
-		CHECK_C_SOURCE_RUNS("${TERMIOS_SRC_2}" HAVE_TERMIOS)
-		IF(NOT HAVE_TERMIOS)
-			CHECK_C_SOURCE_RUNS("${TERMIO_SRC_2}" HAVE_TERMIO)
-		ENDIF(NOT HAVE_TERMIOS)
-		IF(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
-			CHECK_C_SOURCE_RUNS("${SGTTY_SRC_2}" HAVE_SGTTY)
-		ENDIF(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
-	ENDIF(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS AND NOT HAVE_SGTTY)
+	check_c_source_runs("${TERMIOS_SRC_1}" HAVE_TERMIOS)
+	if(NOT HAVE_TERMIOS)
+		check_c_source_runs("${TERMIO_SRC_1}" HAVE_TERMIO)
+	endif(NOT HAVE_TERMIOS)
+	if(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
+		check_c_source_runs("${SGTTY_SRC_1}" HAVE_SGTTY)
+	endif(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
+	if(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS AND NOT HAVE_SGTTY)
+		check_c_source_runs("${TERMIOS_SRC_2}" HAVE_TERMIOS)
+		if(NOT HAVE_TERMIOS)
+			check_c_source_runs("${TERMIO_SRC_2}" HAVE_TERMIO)
+		endif(NOT HAVE_TERMIOS)
+		if(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
+			check_c_source_runs("${SGTTY_SRC_2}" HAVE_SGTTY)
+		endif(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS)
+	endif(NOT HAVE_TERMIO AND NOT HAVE_TERMIOS AND NOT HAVE_SGTTY)
 
-	IF(HAVE_TERMIOS)
-		ADD_TCL_CFLAG(USE_TERMIOS)
-	ELSE(HAVE_TERMIOS)
-		IF(HAVE_TERMIO)
-		   ADD_TCL_CFLAG(USE_TERMIO)
-		ELSE(HAVE_TERMIO)
-			IF(HAVE_SGTTY)
-				ADD_TCL_CFLAG(USE_SGTTY)
-			ENDIF(HAVE_SGTTY)
-		ENDIF(HAVE_TERMIO)
-	ENDIF(HAVE_TERMIOS)
-ENDMACRO(SC_SERIAL_PORT)
+	if(HAVE_TERMIOS)
+		add_tcl_cflag(USE_TERMIOS)
+	else(HAVE_TERMIOS)
+		if(HAVE_TERMIO)
+		   add_tcl_cflag(USE_TERMIO)
+		else(HAVE_TERMIO)
+			if(HAVE_SGTTY)
+				add_tcl_cflag(USE_SGTTY)
+			endif(HAVE_SGTTY)
+		endif(HAVE_TERMIO)
+	endif(HAVE_TERMIOS)
+endmacro(SC_SERIAL_PORT)
 
 
 #--------------------------------------------------------------------
 # SC_MISSING_POSIX_HEADERS
 #--------------------------------------------------------------------
-MACRO(SC_MISSING_POSIX_HEADERS)
-	TCL_CHECK_INCLUDE_FILE(dirent.h HAVE_DIRENT_H)
-	IF(NOT HAVE_DIRENT_H)
+macro(SC_MISSING_POSIX_HEADERS)
+	tcl_check_include_file(dirent.h HAVE_DIRENT_H)
+	if(NOT HAVE_DIRENT_H)
 		add_definitions(-DNO_DIRENT_H=1)
-	ENDIF(NOT HAVE_DIRENT_H)
-	TCL_CHECK_INCLUDE_FILE_USABILITY(float.h FLOAT_H)
-	TCL_CHECK_INCLUDE_FILE_USABILITY(values.h VALUES_H)
-	TCL_CHECK_INCLUDE_FILE_USABILITY(limits.h LIMITS_H)
-	TCL_CHECK_INCLUDE_FILE(stdlib.h HAVE_STDLIB_H)
-	TCL_CHECK_INCLUDE_FILE(string.h HAVE_STRING_H)
-	IF(NOT HAVE_STRING_H)
+	endif(NOT HAVE_DIRENT_H)
+	tcl_check_include_file_usability(float.h FLOAT_H)
+	tcl_check_include_file_usability(values.h VALUES_H)
+	tcl_check_include_file_usability(limits.h LIMITS_H)
+	tcl_check_include_file(stdlib.h HAVE_STDLIB_H)
+	tcl_check_include_file(string.h HAVE_STRING_H)
+	if(NOT HAVE_STRING_H)
 		add_definitions(-DNO_STRING_H=1)
-	ENDIF(NOT HAVE_STRING_H)
-	TCL_CHECK_INCLUDE_FILE_USABILITY(sys/wait.h SYS_WAIT_H)
-	TCL_CHECK_INCLUDE_FILE_USABILITY(dlfcn.h DLFCN_H)
-	TCL_CHECK_INCLUDE_FILE_USABILITY(sys/param.h SYS_PARAM_H)
-ENDMACRO(SC_MISSING_POSIX_HEADERS)
+	endif(NOT HAVE_STRING_H)
+	tcl_check_include_file_usability(sys/wait.h SYS_WAIT_H)
+	tcl_check_include_file_usability(dlfcn.h DLFCN_H)
+	tcl_check_include_file_usability(sys/param.h SYS_PARAM_H)
+endmacro(SC_MISSING_POSIX_HEADERS)
 
 
 #--------------------------------------------------------------------
@@ -387,17 +387,17 @@
 #--------------------------------------------------------------------
 # SC_BLOCKING_STYLE
 #--------------------------------------------------------------------
-TCL_CHECK_INCLUDE_FILE(sys/ioctl.h HAVE_SYS_IOCTL_H) 
-TCL_CHECK_INCLUDE_FILE(sys/filio.h HAVE_SYS_FILIO_H)
-IF(${CMAKE_SYSTEM_NAME} MATCHES "^OSF.*")
-	ADD_TCL_CFLAG(USE_FIONBIO)
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^OSF.*")
-IF(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
-	STRING(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
-	IF (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 5)
-		ADD_TCL_CFLAG(USE_FIONBIO)
-	ENDIF (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 5)
-ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
+tcl_check_include_file(sys/ioctl.h HAVE_SYS_IOCTL_H) 
+tcl_check_include_file(sys/filio.h HAVE_SYS_FILIO_H)
+if(${CMAKE_SYSTEM_NAME} MATCHES "^OSF.*")
+	add_tcl_cflag(USE_FIONBIO)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "^OSF.*")
+if(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
+	string(REGEX REPLACE "\\..*" "" CMAKE_SYSTEM_MAJOR_VERSION ${CMAKE_SYSTEM_VERSION})
+	if (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 5)
+		add_tcl_cflag(USE_FIONBIO)
+	endif (${CMAKE_SYSTEM_MAJOR_VERSION} LESS 5)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "^SunOS$")
 
 #--------------------------------------------------------------------
 # SC_TIME_HANLDER
@@ -408,13 +408,13 @@
 # TODO - tzname testing from AC_STRUCT_TIMEZONE is incomplete
 #
 #--------------------------------------------------------------------
-MACRO(SC_TIME_HANDLER)
-	TCL_CHECK_INCLUDE_FILE_USABILITY(sys/time.h SYS_TIME_H)
-	TCL_CHECK_STRUCT_HAS_MEMBER("struct tm" tm_zone time.h STRUCT_TM_TM_ZONE)
-	IF(HAVE_STRUCT_TM_TM_ZONE)
-		ADD_TCL_CFLAG(HAVE_TM_ZONE)
-	ELSE(HAVE_STRUCT_TM_TM_ZONE)
-		SET(TZNAME_SRC "
+macro(SC_TIME_HANDLER)
+	tcl_check_include_file_usability(sys/time.h SYS_TIME_H)
+	tcl_check_struct_has_member("struct tm" tm_zone time.h STRUCT_TM_TM_ZONE)
+	if(HAVE_STRUCT_TM_TM_ZONE)
+		add_tcl_cflag(HAVE_TM_ZONE)
+	else(HAVE_STRUCT_TM_TM_ZONE)
+		set(TZNAME_SRC "
 #include <time.h>
 int main () {
 #ifndef tzname
@@ -422,17 +422,17 @@
 #endif
 return 0;
 }")
-      CHECK_C_SOURCE_COMPILES("${TZNAME_SRC}" HAVE_TZNAME)
-		IF(HAVE_TZNAME)
-			ADD_TCL_CFLAG(HAVE_DECL_TZNAME)
-		ENDIF(HAVE_TZNAME)
-	ENDIF(HAVE_STRUCT_TM_TM_ZONE)
-	TCL_CHECK_FUNCTION_EXISTS(gmtime_r HAVE_GMTIME_R)
-	TCL_CHECK_FUNCTION_EXISTS(localtime_r HAVE_LOCALTIME_R)
-	TCL_CHECK_FUNCTION_EXISTS(mktime HAVE_MKTIME)
-	TCL_CHECK_STRUCT_HAS_MEMBER("struct tm" tm_tzadj time.h TM_TZADJ)
-	TCL_CHECK_STRUCT_HAS_MEMBER("struct tm" tm_gmtoff time.h TM_GMTOFF)
-	SET(TZONE_SRC_1 "
+      check_c_source_compiles("${TZNAME_SRC}" HAVE_TZNAME)
+		if(HAVE_TZNAME)
+			add_tcl_cflag(HAVE_DECL_TZNAME)
+		endif(HAVE_TZNAME)
+	endif(HAVE_STRUCT_TM_TM_ZONE)
+	tcl_check_function_exists(gmtime_r HAVE_GMTIME_R)
+	tcl_check_function_exists(localtime_r HAVE_LOCALTIME_R)
+	tcl_check_function_exists(mktime HAVE_MKTIME)
+	tcl_check_struct_has_member("struct tm" tm_tzadj time.h TM_TZADJ)
+	tcl_check_struct_has_member("struct tm" tm_gmtoff time.h TM_GMTOFF)
+	set(TZONE_SRC_1 "
 #include <time.h>
 int main () {
 extern long timezone;
@@ -441,11 +441,11 @@
 return 0;
 }
    ")
-	CHECK_C_SOURCE_COMPILES("${TZONE_SRC_1}" HAVE_TIMEZONE_VAR)
-   IF(HAVE_TIMEZONE_VAR)
-		ADD_TCL_CFLAG(HAVE_TIMEZONE_VAR)
-	ELSE(HAVE_TIMEZONE_VAR)
-		SET(TZONE_SRC_2 "
+	check_c_source_compiles("${TZONE_SRC_1}" HAVE_TIMEZONE_VAR)
+   if(HAVE_TIMEZONE_VAR)
+		add_tcl_cflag(HAVE_TIMEZONE_VAR)
+	else(HAVE_TIMEZONE_VAR)
+		set(TZONE_SRC_2 "
 #include <time.h>
 int main() {
 extern time_t timezone;
@@ -454,13 +454,13 @@
 return 0;
 }
       ")
-		CHECK_C_SOURCE_COMPILES("${TZONE_SRC_2}" HAVE_TIMEZONE_VAR)
-		IF(HAVE_TIMEZONE_VAR)
-			ADD_TCL_CFLAG(HAVE_TIMEZONE_VAR)
-		ENDIF(HAVE_TIMEZONE_VAR)
-	ENDIF(HAVE_TIMEZONE_VAR)
-	IF(HAVE_SYS_TIME_H)
-		SET(TIME_WITH_SYS_TIME_SRC "
+		check_c_source_compiles("${TZONE_SRC_2}" HAVE_TIMEZONE_VAR)
+		if(HAVE_TIMEZONE_VAR)
+			add_tcl_cflag(HAVE_TIMEZONE_VAR)
+		endif(HAVE_TIMEZONE_VAR)
+	endif(HAVE_TIMEZONE_VAR)
+	if(HAVE_SYS_TIME_H)
+		set(TIME_WITH_SYS_TIME_SRC "
 #include <sys/time.h>
 #include <time.h>
 int main() {
@@ -470,12 +470,12 @@
 return 0;
 }
       ")
-		CHECK_C_SOURCE_COMPILES("${TIME_WITH_SYS_TIME_SRC}" TIME_WITH_SYS_TIME_WORKS)
-		IF(TIME_WITH_SYS_TIME_WORKS)
+		check_c_source_compiles("${TIME_WITH_SYS_TIME_SRC}" TIME_WITH_SYS_TIME_WORKS)
+		if(TIME_WITH_SYS_TIME_WORKS)
 			add_definitions(-DTIME_WITH_SYS_TIME=1)
-		ENDIF(TIME_WITH_SYS_TIME_WORKS)
-	ENDIF(HAVE_SYS_TIME_H)
-ENDMACRO(SC_TIME_HANDLER)
+		endif(TIME_WITH_SYS_TIME_WORKS)
+	endif(HAVE_SYS_TIME_H)
+endmacro(SC_TIME_HANDLER)
 
 #--------------------------------------------------------------------
 # SC_BUGGY_STRTOD
@@ -487,74 +487,74 @@
 #--------------------------------------------------------------------
 # SC_TCL_LINK_LIBS
 #--------------------------------------------------------------------
-MACRO(SC_TCL_LINK_LIBS)
-	SET(TCL_LINK_LIBS "")
+macro(SC_TCL_LINK_LIBS)
+	set(TCL_LINK_LIBS "")
 
 	# Math libraries 
-	IF(NOT WIN32)
-		CHECK_LIBRARY_EXISTS(m cos "" HAVE_M_LIBRARY)
-		IF(HAVE_M_LIBRARY)
-			RESOLVE_LIBRARIES(M_LIBRARY "-lm")
-		ENDIF(HAVE_M_LIBRARY)
+	if(NOT WIN32)
+		check_library_exists(m cos "" HAVE_M_LIBRARY)
+		if(HAVE_M_LIBRARY)
+			resolve_libraries(M_LIBRARY "-lm")
+		endif(HAVE_M_LIBRARY)
 		#find_library(IEEE_LIB ieee)
 		#MARK_AS_ADVANCED(IEEE_LIB)
 		#IF(IEEE_LIB)
 		#	SET(M_LIBRARY "-lieee ${M_LIBRARY}")
 		#ENDIF(IEEE_LIB)
-		CHECK_LIBRARY_EXISTS(sunmath ieee_flags "" HAVE_SUNMATH_LIBRARY)
-		IF(HAVE_SUNMATH_LIBRARY)
-			SET(M_LIBRARY "-lsunmath ${M_LIBRARY}")
-		ENDIF(HAVE_SUNMATH_LIBRARY)
-	ENDIF(NOT WIN32)
+		check_library_exists(sunmath ieee_flags "" HAVE_SUNMATH_LIBRARY)
+		if(HAVE_SUNMATH_LIBRARY)
+			set(M_LIBRARY "-lsunmath ${M_LIBRARY}")
+		endif(HAVE_SUNMATH_LIBRARY)
+	endif(NOT WIN32)
 
-	IF(NOT INET_LIBRARY AND NOT INET_QUIET)
-		MESSAGE("-- Looking for INET library")
-		RESOLVE_LIBRARIES(INET_LIBRARY "-linet")
-		IF(INET_LIBRARY)
-			MESSAGE("-- Found INET library: ${INET_LIBRARY}")
-		ELSE(INET_LIBRARY)
-			MESSAGE("-- Looking for INET library - not found")
-		ENDIF(INET_LIBRARY)
-		SET(INET_QUIET 1 CACHE STRING "INET quiet")
-		MARK_AS_ADVANCED(INET_QUIET)
-	ENDIF(NOT INET_LIBRARY AND NOT INET_QUIET)
-	IF(TCL_LINK_LIBS)
-		SET(TCL_LINK_LIBS "${TCL_LINK_LIBS};${M_LIBRARY};${INET_LIBRARY}")
-	ELSEIF(TCL_LINK_LIBS)
-		SET(TCL_LINK_LIBS "${M_LIBRARY};${INET_LIBRARY}")
-	ENDIF(TCL_LINK_LIBS)
-	MARK_AS_ADVANCED(TCL_LINK_LIBS)
+	if(NOT INET_LIBRARY AND NOT INET_QUIET)
+		message("-- Looking for INET library")
+		resolve_libraries(INET_LIBRARY "-linet")
+		if(INET_LIBRARY)
+			message("-- Found INET library: ${INET_LIBRARY}")
+		else(INET_LIBRARY)
+			message("-- Looking for INET library - not found")
+		endif(INET_LIBRARY)
+		set(INET_QUIET 1 CACHE STRING "INET quiet")
+		mark_as_advanced(INET_QUIET)
+	endif(NOT INET_LIBRARY AND NOT INET_QUIET)
+	if(TCL_LINK_LIBS)
+		set(TCL_LINK_LIBS "${TCL_LINK_LIBS};${M_LIBRARY};${INET_LIBRARY}")
+	elseif(TCL_LINK_LIBS)
+		set(TCL_LINK_LIBS "${M_LIBRARY};${INET_LIBRARY}")
+	endif(TCL_LINK_LIBS)
+	mark_as_advanced(TCL_LINK_LIBS)
 
-	TCL_CHECK_INCLUDE_FILE_USABILITY(net/errno.h NET_ERRNO_H)
-	CHECK_FUNCTION_EXISTS(connect HAVE_CONNECT)
-	IF(NOT HAVE_CONNECT)
-		CHECK_FUNCTION_EXISTS(setsockopt HAVE_SETSOCKOPT)
-		IF(NOT HAVE_SETSOCKOPT)
-			CHECK_LIBRARY_EXISTS(socket connect "" HAVE_SOCKET_LIBRARY)
-			IF(HAVE_SOCKET_LIBRARY)
-				RESOLVE_LIBRARIES(SOCKET_LIBRARY "-lsocket")
-				IF(TCL_LINK_LIBS)
-					SET(TCL_LINK_LIBS ${TCL_LINK_LIBS};${SOCKET_LIBRARY})
-				ELSE(TCL_LINK_LIBS)
-					SET(TCL_LINK_LIBS ${SOCKET_LIBRARY})
-				ENDIF(TCL_LINK_LIBS)
-			ENDIF(HAVE_SOCKET_LIBRARY)
-		ENDIF(NOT HAVE_SETSOCKOPT)
-	ENDIF(NOT HAVE_CONNECT)
-	CHECK_FUNCTION_EXISTS(gethostbyname HAVE_GETHOSTBYNAME)
-	IF(NOT HAVE_GETHOSTBYNAME)
-		CHECK_LIBRARY_EXISTS(nsl gethostbyname "" HAVE_NSL_LIBRARY)
-		IF(HAVE_NSL_LIBRARY)
-			RESOLVE_LIBRARIES(NSL_LIBRARY "-nsl")
-			IF(TCL_LINK_LIBS)
-				SET(TCL_LINK_LIBS ${TCL_LINK_LIBS};${NSL_LIBRARY})
-			ELSE(TCL_LINK_LIBS)
-				SET(TCL_LINK_LIBS ${NSL_LIBRARY})
-			ENDIF(TCL_LINK_LIBS)
-		ENDIF(HAVE_NSL_LIBRARY)
-	ENDIF(NOT HAVE_GETHOSTBYNAME)
+	tcl_check_include_file_usability(net/errno.h NET_ERRNO_H)
+	check_function_exists(connect HAVE_CONNECT)
+	if(NOT HAVE_CONNECT)
+		check_function_exists(setsockopt HAVE_SETSOCKOPT)
+		if(NOT HAVE_SETSOCKOPT)
+			check_library_exists(socket connect "" HAVE_SOCKET_LIBRARY)
+			if(HAVE_SOCKET_LIBRARY)
+				resolve_libraries(SOCKET_LIBRARY "-lsocket")
+				if(TCL_LINK_LIBS)
+					set(TCL_LINK_LIBS ${TCL_LINK_LIBS};${SOCKET_LIBRARY})
+				else(TCL_LINK_LIBS)
+					set(TCL_LINK_LIBS ${SOCKET_LIBRARY})
+				endif(TCL_LINK_LIBS)
+			endif(HAVE_SOCKET_LIBRARY)
+		endif(NOT HAVE_SETSOCKOPT)
+	endif(NOT HAVE_CONNECT)
+	check_function_exists(gethostbyname HAVE_GETHOSTBYNAME)
+	if(NOT HAVE_GETHOSTBYNAME)
+		check_library_exists(nsl gethostbyname "" HAVE_NSL_LIBRARY)
+		if(HAVE_NSL_LIBRARY)
+			resolve_libraries(NSL_LIBRARY "-nsl")
+			if(TCL_LINK_LIBS)
+				set(TCL_LINK_LIBS ${TCL_LINK_LIBS};${NSL_LIBRARY})
+			else(TCL_LINK_LIBS)
+				set(TCL_LINK_LIBS ${NSL_LIBRARY})
+			endif(TCL_LINK_LIBS)
+		endif(HAVE_NSL_LIBRARY)
+	endif(NOT HAVE_GETHOSTBYNAME)
 
-ENDMACRO(SC_TCL_LINK_LIBS)
+endmacro(SC_TCL_LINK_LIBS)
 
 #--------------------------------------------------------------------
 # SC_TCL_EARLY_FLAGS
@@ -567,94 +567,94 @@
 #
 # Detect and set up 64-bit compiling here.  LOTS of TODO here
 #--------------------------------------------------------------------
-MACRO(SC_TCL_64BIT_FLAGS)
-	IF(NOT CMAKE_SIZEOF_VOID_P)
-		MESSAGE(WARNING "CMAKE_SIZEOF_VOID_P is not defined - assuming 32-bit platform")
-		SET(CMAKE_SIZEOF_VOID_P 4)
-	ENDIF(NOT CMAKE_SIZEOF_VOID_P)
-	IF(NOT CMAKE_WORD_SIZE)
-		IF(${CMAKE_SIZEOF_VOID_P} MATCHES "^8$")
-			SET(CMAKE_WORD_SIZE "64BIT")
-		ELSE(${CMAKE_SIZEOF_VOID_P} MATCHES "^8$")
-			SET(CMAKE_WORD_SIZE "32BIT")
-		ENDIF(${CMAKE_SIZEOF_VOID_P} MATCHES "^8$")
-	ENDIF(NOT CMAKE_WORD_SIZE)
-	IF(NOT TCL_ENABLE_64BIT)
-		IF(${CMAKE_WORD_SIZE} MATCHES "64BIT")
+macro(SC_TCL_64BIT_FLAGS)
+	if(NOT CMAKE_SIZEOF_VOID_P)
+		message(WARNING "CMAKE_SIZEOF_VOID_P is not defined - assuming 32-bit platform")
+		set(CMAKE_SIZEOF_VOID_P 4)
+	endif(NOT CMAKE_SIZEOF_VOID_P)
+	if(NOT CMAKE_WORD_SIZE)
+		if(${CMAKE_SIZEOF_VOID_P} MATCHES "^8$")
+			set(CMAKE_WORD_SIZE "64BIT")
+		else(${CMAKE_SIZEOF_VOID_P} MATCHES "^8$")
+			set(CMAKE_WORD_SIZE "32BIT")
+		endif(${CMAKE_SIZEOF_VOID_P} MATCHES "^8$")
+	endif(NOT CMAKE_WORD_SIZE)
+	if(NOT TCL_ENABLE_64BIT)
+		if(${CMAKE_WORD_SIZE} MATCHES "64BIT")
 			set(TCL_ENABLE_64BIT "ON" CACHE STRING "Enable 64-bit support")
-		ELSE(${CMAKE_WORD_SIZE} MATCHES "64BIT")
+		else(${CMAKE_WORD_SIZE} MATCHES "64BIT")
 			set(TCL_ENABLE_64BIT "OFF" CACHE STRING "Enable 64-bit support")
-		ENDIF(${CMAKE_WORD_SIZE} MATCHES "64BIT")
-	ENDIF(NOT TCL_ENABLE_64BIT)
-	IF(NOT ${TCL_ENABLE_64BIT} MATCHES "OFF")
-		IF(${CMAKE_WORD_SIZE} MATCHES "64BIT")
+		endif(${CMAKE_WORD_SIZE} MATCHES "64BIT")
+	endif(NOT TCL_ENABLE_64BIT)
+	if(NOT ${TCL_ENABLE_64BIT} MATCHES "OFF")
+		if(${CMAKE_WORD_SIZE} MATCHES "64BIT")
 			set(TCL_ENABLE_64BIT ON CACHE STRING "Enable 64-bit support")
-		ELSE(${CMAKE_WORD_SIZE} MATCHES "64BIT")
+		else(${CMAKE_WORD_SIZE} MATCHES "64BIT")
 			set(TCL_ENABLE_64BIT OFF CACHE STRING "Enable 64-bit support")
-		ENDIF(${CMAKE_WORD_SIZE} MATCHES "64BIT")
-	ENDIF(NOT ${TCL_ENABLE_64BIT} MATCHES "OFF")
+		endif(${CMAKE_WORD_SIZE} MATCHES "64BIT")
+	endif(NOT ${TCL_ENABLE_64BIT} MATCHES "OFF")
 	set(TCL_ENABLE_64BIT ${TCL_ENABLE_64BIT} CACHE STRING "Enable 64-bit support")
-	IF(TCL_ENABLE_64BIT)
-		IF(NOT 64BIT_FLAG)
-			CHECK_C_FLAG("arch x86_64" 64BIT_FLAG)
-			CHECK_C_FLAG(64 64BIT_FLAG)
-			CHECK_C_FLAG("mabi=64" 64BIT_FLAG)
-			CHECK_C_FLAG(m64 64BIT_FLAG)
-			CHECK_C_FLAG(q64 64BIT_FLAG)
-		ENDIF(NOT 64BIT_FLAG)
-		MARK_AS_ADVANCED(64BIT_FLAG)
-		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${64BIT_FLAG}")
-		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${64BIT_FLAG}")
-		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${64BIT_FLAG}")
-		SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${64BIT_FLAG}")
+	if(TCL_ENABLE_64BIT)
+		if(NOT 64BIT_FLAG)
+			check_c_flag("arch x86_64" 64BIT_FLAG)
+			check_c_flag(64 64BIT_FLAG)
+			check_c_flag("mabi=64" 64BIT_FLAG)
+			check_c_flag(m64 64BIT_FLAG)
+			check_c_flag(q64 64BIT_FLAG)
+		endif(NOT 64BIT_FLAG)
+		mark_as_advanced(64BIT_FLAG)
+		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${64BIT_FLAG}")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${64BIT_FLAG}")
+		set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${64BIT_FLAG}")
+		set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${64BIT_FLAG}")
 		add_definitions(-DTCL_CFG_DO64BIT=1)
-	ENDIF(TCL_ENABLE_64BIT)
-	IF(CMAKE_CL_64)
+	endif(TCL_ENABLE_64BIT)
+	if(CMAKE_CL_64)
 		add_definitions(-D_stati64=_stat64)
-	ENDIF(CMAKE_CL_64)
-ENDMACRO(SC_TCL_64BIT_FLAGS)
+	endif(CMAKE_CL_64)
+endmacro(SC_TCL_64BIT_FLAGS)
 
 #--------------------------------------------------------------------
 # SC_TCL_CFG_ENCODING   TIP #59
 #--------------------------------------------------------------------
-MACRO(SC_TCL_CFG_ENCODING)
-	IF(NOT TCL_CFGVAL_ENCODING)
-		IF(WIN32)
-			SET(TCL_CFGVAL_ENCODING "cp1252")
-		ELSE(WIN32)
-			SET(TCL_CFGVAL_ENCODING "iso8859-1")
-		ENDIF(WIN32)
-	ENDIF(NOT TCL_CFGVAL_ENCODING)
+macro(SC_TCL_CFG_ENCODING)
+	if(NOT TCL_CFGVAL_ENCODING)
+		if(WIN32)
+			set(TCL_CFGVAL_ENCODING "cp1252")
+		else(WIN32)
+			set(TCL_CFGVAL_ENCODING "iso8859-1")
+		endif(WIN32)
+	endif(NOT TCL_CFGVAL_ENCODING)
 	add_definitions(-DTCL_CFGVAL_ENCODING="${TCL_CFGVAL_ENCODING}")
-ENDMACRO(SC_TCL_CFG_ENCODING)
+endmacro(SC_TCL_CFG_ENCODING)
 
 
 #--------------------------------------------------------------------
 # SC_TCL_CHECK_BROKEN_FUNC
 #--------------------------------------------------------------------
-MACRO(SC_TCL_CHECK_BROKEN_FUNC)
-	CHECK_FUNCTION_EXISTS(${ARGV0} HAVE_${ARGV0})
-	IF(HAVE_${ARGV0})
-		SET(COMPILE_SRC "
+macro(SC_TCL_CHECK_BROKEN_FUNC)
+	check_function_exists(${ARGV0} HAVE_${ARGV0})
+	if(HAVE_${ARGV0})
+		set(COMPILE_SRC "
 		int main() {
 		${ARGV1}
 		}")
-		CHECK_C_SOURCE_RUNS("${COMPILE_SRC}"  WORKING_${ARGV0})
-		IF(NOT WORKING_${ARGV0})
-			SET(COMPAT_SRCS ${COMPAT_SRCS} compat/${ARGV0}.c CACHE STRING "Compatibility srcs" FORCE)
-		ENDIF(NOT WORKING_${ARGV0})
-	ELSE(HAVE_${ARGV0})
-		SET(COMPAT_SRCS ${COMPAT_SRCS} compat/${ARGV0}.c CACHE STRING "Compatibility srcs" FORCE)
-	ENDIF(HAVE_${ARGV0})
-ENDMACRO(SC_TCL_CHECK_BROKEN_FUNC)
+		check_c_source_runs("${COMPILE_SRC}"  WORKING_${ARGV0})
+		if(NOT WORKING_${ARGV0})
+			set(COMPAT_SRCS ${COMPAT_SRCS} compat/${ARGV0}.c CACHE STRING "Compatibility srcs" FORCE)
+		endif(NOT WORKING_${ARGV0})
+	else(HAVE_${ARGV0})
+		set(COMPAT_SRCS ${COMPAT_SRCS} compat/${ARGV0}.c CACHE STRING "Compatibility srcs" FORCE)
+	endif(HAVE_${ARGV0})
+endmacro(SC_TCL_CHECK_BROKEN_FUNC)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETHOSTBYADDR_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETHOSTBYADDR_R)
-	TCL_CHECK_FUNCTION_EXISTS(gethostbyaddr_r HAVE_GETHOSTBYADDR_R)
-	IF(HAVE_GETHOSTBYADDR_R)
-		SET(HAVE_GETHOSTBYADDR_R_7_SRC "
+macro(SC_TCL_GETHOSTBYADDR_R)
+	tcl_check_function_exists(gethostbyaddr_r HAVE_GETHOSTBYADDR_R)
+	if(HAVE_GETHOSTBYADDR_R)
+		set(HAVE_GETHOSTBYADDR_R_7_SRC "
 #include <netdb.h>
 int main(){
 char *addr;
@@ -668,11 +668,11 @@
 (void) gethostbyaddr_r(addr, length, type, result, buffer, buflen, &h_errnop);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYADDR_R_7_SRC}"  HAVE_GETHOSTBYADDR_R_7)
-		IF(HAVE_GETHOSTBYADDR_R_7)
-			ADD_TCL_CFLAG(HAVE_GETHOSTBYADDR_R_7)
-		ELSE(HAVE_GETHOSTBYADDR_R_7)
-			SET(HAVE_GETHOSTBYADDR_R_8_SRC "
+		check_c_source_compiles("${HAVE_GETHOSTBYADDR_R_7_SRC}"  HAVE_GETHOSTBYADDR_R_7)
+		if(HAVE_GETHOSTBYADDR_R_7)
+			add_tcl_cflag(HAVE_GETHOSTBYADDR_R_7)
+		else(HAVE_GETHOSTBYADDR_R_7)
+			set(HAVE_GETHOSTBYADDR_R_8_SRC "
 #include <netdb.h>
 int main(){
 char *addr;
